Skip to main content
GET
/
document
/
v1
/
directories
List company directories
curl --request GET \
  --url https://api-{region}.sesametime.com/document/v1/directories \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "rootDirectoryType": "<string>",
      "directoryType": "<string>"
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

employeeId
string<uuid>

Filter directories by employee id

parentDirectoryType
string

Parent directory type

includeSharedFolders
enum<integer>
default:0

Include shared folders (CUSTOM type) where the employee is a viewer. Requires employeeId. Default: 0

Available options:
0,
1
limit
integer

Limit results

page
integer

Request a specific page

Response

200 - application/json

Company directories

data
object[]
meta
object